import request from '@/utils/request'

// 查询润滑知识库列表
export function listKnowledgeLube(query) {
  return request({
    url: '/dms/knowledgeLube/list',
    method: 'get',
    params: query
  })
}

// 查询润滑知识库详细
export function getKnowledgeLube(knowledgeLubeId) {
  return request({
    url: '/dms/knowledgeLube/' + knowledgeLubeId,
    method: 'get'
  })
}

// 新增润滑知识库
export function addKnowledgeLube(data) {
  return request({
    url: '/dms/knowledgeLube',
    method: 'post',
    data: data
  })
}

// 修改润滑知识库
export function updateKnowledgeLube(data) {
  return request({
    url: '/dms/knowledgeLube',
    method: 'put',
    data: data
  })
}

// 删除润滑知识库
export function delKnowledgeLube(knowledgeLubeId) {
  return request({
    url: '/dms/knowledgeLube/' + knowledgeLubeId,
    method: 'delete'
  })
}
